delete-entity-ingredients-by-jsin

Source

  • Repository: jef-systems/jef-caferimo-backend

  • Module: caferimo

  • Documentation Scope: async

  • Lambda: jef-caferimo-delete-2

Endpoint

  • API Name: jef-caferimo

  • Action Name: delete

  • Method: DELETE

  • Scope Label: Async

  • Resource Path: /delete-entity-ingredients-by-jsin

  • Complete Endpoint: https://lfyr4e0eqe.execute-api.ap-southeast-1.amazonaws.com/prod/delete-entity-ingredients-by-jsin

  • Lambda ARN: arn:aws:lambda:ap-southeast-1:246715082475:function:jef-caferimo-delete-2

  • curl payload mode: json_body

API Gateway Description

Function: jef-caferimo-delete-2
API Name: jef-caferimo
Action: delete
Method: DELETE
Resource Path: /delete-entity-ingredients-by-jsin

Payload:
- entity_number: string-4-digits-nonzerostart
- jsin: string

Response:
- exists: boolean
- message: string
- item: {"pk":"string-{entity_number}#{jsin}","gsi_1_pk":"string-{entity_number}#{active}","gsi_1_sk":"string-product_name","entity_number":"string-4-digits-nonzerostart","jsin":"string","barcode":"string","product_name":"string","product_unit":"string","active":"boolean","on_hand_quantity":"number-two-decimals","reorder_level":"number-two-decimals-optional","unit_cost":"number-decimal-optional","notes":"string-optional","updated_at":"string-iso8601"}
- deleted_pk: string

Request Payload

{
  "entity_number": "string-4-digits-nonzerostart",
  "jsin": "string"
}

Response

{
  "exists": "boolean",
  "message": "string",
  "item": "{\"pk\":\"string-{entity_number}#{jsin}\",\"gsi_1_pk\":\"string-{entity_number}#{active}\",\"gsi_1_sk\":\"string-product_name\",\"entity_number\":\"string-4-digits-nonzerostart\",\"jsin\":\"string\",\"barcode\":\"string\",\"product_name\":\"string\",\"product_unit\":\"string\",\"active\":\"boolean\",\"on_hand_quantity\":\"number-two-decimals\",\"reorder_level\":\"number-two-decimals-optional\",\"unit_cost\":\"number-decimal-optional\",\"notes\":\"string-optional\",\"updated_at\":\"string-iso8601\"}",
  "deleted_pk": "string"
}

CMD curl

curl -X DELETE "https://lfyr4e0eqe.execute-api.ap-southeast-1.amazonaws.com/prod/delete-entity-ingredients-by-jsin" -H "Content-Type: application/json" --data-raw "{\"entity_number\": \"string-4-digits-nonzerostart\", \"jsin\": \"string\"}"

PowerShell curl

curl.exe -X DELETE "https://lfyr4e0eqe.execute-api.ap-southeast-1.amazonaws.com/prod/delete-entity-ingredients-by-jsin" -H "Content-Type: application/json" --data-raw '{"entity_number": "string-4-digits-nonzerostart", "jsin": "string"}'